Bug 1333770 (PY3PATCH-PUSH)

Summary: Tracking: Packages with a working Python 3 patch, ready to be pushed
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python3Assignee: Miro Hrončok <mhroncok>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bkabrda, cstratak, mstuchli, pviktori, rkuska, tomspur, torsava
Target Milestone: ---Keywords: FutureFeature, Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-15 12:31:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 844297, 1032588, 1171064, 1181550, 1188631, 1207737, 1214734, 1242686, 1263049, 1281992, 1282082, 1282097, 1282099, 1282106, 1282108, 1282161, 1282186, 1282243, 1286284, 1292548, 1297899, 1299142, 1303601, 1305872, 1306954, 1308519, 1308520, 1308524, 1308559, 1309269, 1309306, 1309376, 1309388, 1309784, 1311209, 1311536, 1311553, 1312032, 1312323, 1312327, 1312329, 1312333, 1312340, 1313932, 1317886, 1317899, 1321853, 1322491, 1323174, 1323176, 1324119, 1327505, 1328051, 1330010, 1333816, 1333817, 1333818, 1333819, 1333827, 1334796, 1334798, 1336817, 1342498, 1348532, 1361905, 1361914, 1440731, 1472401    
Bug Blocks: 1285816    

Description Tomas Orsava 2016-05-06 11:43:55 UTC
Here we track bugs with a verified and working Python 3 patch that is ready to be pushed.

This where the packager is either allowing someone else to push the patch, or where they've been asked to review and push the patch but have not responded in a given time frame.

Comment 1 Miro Hrončok 2016-05-07 15:28:51 UTC
Shouldn't the dependency relation of this and PY3PATCH be the other way around?
I'm not entirely sure.

Comment 2 Tomas Orsava 2016-05-11 13:18:44 UTC
(In reply to Miro Hrončok from comment #1)
> Shouldn't the dependency relation of this and PY3PATCH be the other way
> around?
> I'm not entirely sure.

I see it thus: First there needs to be a patch for the package and only then can we push it. Therefore the non-existence of patches blocks us from pushing the patches. Hence PY3PATCH blocks PY3PATCH-PUSH.

However, I'm certain there are other ways of looking at it.

Comment 3 Petr Viktorin 2018-10-15 12:31:04 UTC
Please use pull requests and CC any of these people if you need a patch pushed:
churchyard, cstratak, torsava